Previews a schedule occurrence.

POSThttps://api.awork.com/api/v1/agents/{agentId}/schedules/nextoccurrence
POST https://api.awork.com/api/v1/agents/{agentId}/schedules/nextoccurrence

Calculates the next occurrence for the supplied cadence without changing the schedule.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

agentIdstringRequired
format: uuid

The Custom Agent ID.

Request body Required

The cadence preview request.

application/json

cronRulestringRequired
minLength: 1 maxLength: 100

The cron rule used for recurring execution.

recurrenceIntervalintegerRequired
format: int32minimum: 1 maximum: 99

The number of matching cron occurrences between scheduled runs.

timezonestringRequired
minLength: 1 maxLength: 100

The IANA timezone used to evaluate the cron rule.

scheduleIdstring or nullOptional
format: uuid

The optional existing schedule whose current cadence phase is used.

Responses

200 OK

application/json

nextRunOnstringOptional
format: date-time

The next selected occurrence in UTC.

isFirstRunbooleanOptional

Whether the occurrence starts a new cadence phase.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation